<?php
if (!defined('webid')) {
    exit();
}

if (isset($_SESSION["username"]) && isset($_SESSION["password"])) {
    ?>
	<script type="text/javascript">
    hax({url:'/home', id:'flax'});
    </script>
	<?php
	exit();
} else {
    ?>
    <script type="text/javascript">
        $('.big_btn').click(function() {
            $.post('ajax.php?func=recpass',{
                recemail : $('#email').val(),
                code : $(this).val()
            }, function(data){
                if (data == 1) {
                    $('.rec').remove();
                    $('.error').css({display: 'block'});
                    $('.error').html('<span style="color:#2b61c9">Через 2-5 минут на указанный email, придет письмо с новыми данными</span>');
                } else {
                    $('.error').fadeIn(500);
                    $('.error').html(data);
                    setTimeout(function(){
                        $('.error').fadeOut(500);
                    }, 2000);
                }
            });
            return false;
        })
    </script>
    <div>
        <h3>Восстановление пароля</h3>
        Так как пароли шифруются, на указанный email будет отправлен новый пароль. После чего Вы сможете зайти в аккаунт и изменить пароль.<br /><br />
    </div>
    <div class="error" style="text-align: center; color: #800000; padding: 10px; display: none;"></div>
    <table width="60%" border="0" align="center" class="rec">
        <tr>
            <td align="center">Укажите Ваш e-mail</td>
        </tr>
        <tr>
            <td align="center"><input type="text" id="email" class="val" style="width: 200px;" /></td>
        </tr>
        <tr>
        <td colspan="2" align="center" style="border-bottom: 0;"><h4>Сколько квадратов вы видите?</h4></td>
    </tr>
    <tr>
        <td colspan="2" align="center" style="border: 0; padding: 5px;"><img src="image.php?<?php echo $res; ?>" class="imgcap" /></td>
    </tr>
    <tr>
        <td colspan="2" align="center" style="border: 0;">
            <input class="big_btn" name="code" value="1" type="submit" />
            <input class="big_btn" name="code" value="2" type="submit" />
            <input class="big_btn" name="code" value="3" type="submit" />
            <input class="big_btn" name="code" value="4" type="submit" /><br />
            <input class="big_btn" name="code" value="5" type="submit" />
            <input class="big_btn" name="code" value="6" type="submit" />
            <input class="big_btn" name="code" value="7" type="submit" />
            <input class="big_btn" name="code" value="8" type="submit" />
        </td>
    </tr>
    </table>
    <?
}
?>